Package org.pushingpixels.trident

# Class TimelinePropertyBuilder.DefaultPropertySetter<T>

java.lang.Object
org.pushingpixels.trident.TimelinePropertyBuilder.DefaultPropertySetter<T>

All Implemented Interfaces:
  `TimelinePropertyBuilder.PropertySetter<T>`

Enclosing class:
  `TimelinePropertyBuilder<T>`

public static class TimelinePropertyBuilder.DefaultPropertySetter<T> extends Object implements TimelinePropertyBuilder.PropertySetter<T>
Default property setter.

## Constructor Summary

Constructors
Constructor
Description
`DefaultPropertySetter(Object obj, String fieldName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`set(Object obj, String fieldName, T value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPropertySetter

public DefaultPropertySetter(Object obj, String fieldName)

## Method Details

### set

public void set(Object obj, String fieldName, T value)

Specified by:
  `set` in interface `TimelinePropertyBuilder.PropertySetter<T>`